% Written by Emilie . Houge
% The main code for running the DAE system for temperature iteration by
% Raoult's law.

%clc, close all, clear all

temporary = ones(132,1);
temporary1 = zeros(22,1);
m_matrix = diag([temporary;temporary1]);
options = odeset('mass', m_matrix);

load('steadystate_DAE.mat');
y0_0 = steadystate_DAE(1,:);
T0 = 373.15*ones(1,22);
y0 = [y0_0 T0];
tic
[t, y] = ode15s(@reactive_distDAE, [0 100], y0, options);
toc

x = y(end,1:110);
H = y(end,111:132);
T = y(end,133:154);

x_comp = reshape(x,22,5);




